#include <screen.h>
#include <gdt.h>
#include <idt.h>

/* kernel main() */
int main()
{
	/* initialize gdt */
	gdt_install();

	/* initialize idt */
	idt_install();

	/* all commands go below */
	init_video();
	cls();
	settextcolor(WHITE,BLUE);
	puts("Test Kernel 0.1\n");
	puts("---------------\n");

#ifdef DEBUG
	int test;
	test = 1 / 0;
	puts(test);
#endif

	/* loop forever - do not return to start.asm jmp $ */
	for (;;)
		;

	return -1;
}
